FLAC::Metadata::SimpleIterator Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes » FLAC++/metadata.h: metadata level 0 interface » FLAC++/metadata.h: metadata level 1 interface

`#include <metadata.h>`

## Classes

class | Status

## Public Member Functions

bool | is_valid () const
bool | init (const char *filename, bool read_only, bool preserve_file_stats)
Status | status ()
bool | is_writable () const
bool | next ()
bool | prev ()
bool | is_last () const
off_t | get_block_offset () const
::FLAC__MetadataType | get_block_type () const
uint32_t | get_block_length () const
bool | get_application_id (FLAC__byte *id)
Prototype * | get_block ()
bool | set_block (Prototype *block, bool use_padding=true)
bool | insert_block_after (Prototype *block, bool use_padding=true)
bool | delete_block (bool use_padding=true)

## Protected Member Functions

void | clear ()

## Protected Attributes

::FLAC__Metadata_SimpleIterator * | iterator_

## Detailed Description

This class is a wrapper around the FLAC__metadata_simple_iterator structures and methods; see the usage guide and FLAC__Metadata_SimpleIterator.

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2022 Xiph.Org Foundation